Bug 45030 - Epic fail when lauching XM app with a deploy target > my current OS
Summary: Epic fail when lauching XM app with a deploy target > my current OS
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Mac Add-in (show other bugs)
Version: 6.1.0 (C8)
Hardware: PC Mac OS
: Normal normal
Target Milestone: Future Cycle (TBD)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-10-05 00:04 UTC by Rodrigo Kumpera
Modified: 2018-02-28 02:10 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Rodrigo Kumpera 2016-10-05 00:04:26 UTC
I'm using C8 and trying to debug this app: https://bugzilla.xamarin.com/show_bug.cgi?id=44707

If you look on its info.plist it requires OSX 10.11 but I'm running on 10.10.5 (yeah, judge me for that).

XS returns immediately from launching and registers nothing on log files or the app output window.

It should not not let me launch, it should tell me that I should not be able to do that due the deployment target restriction.
Comment 1 Rodrigo Kumpera 2016-10-05 00:06:34 UTC
I found out the issue by running it from the shell. Here's the crash output:

application requires at least Mac OS X version 10.11.0 (10.11), but is being run on 10.10.5 ( 10.10.5/14F1909), and so is exiting.Stacktrace:

  at <unknown> <0xffffffff>
  at (wrapper managed-to-native) AppKit.NSApplication.NSApplicationMain (int,string[]) <IL 0x0005a, 0x0014d>
  at AppKit.NSApplication.Main (string[]) [0x00041] in /Users/builder/data/lanes/3821/979cd550/source/xamarin-macios/src/AppKit/NSApplication.cs:94
  at RemotingTest.MainClass.Main (string[]) [0x00007] in /Users/kumpera/src/mono/mono/tmp/RemotingTest/RemotingTest/Main.cs:10
  at (wrapper runtime-invoke) <Module>.runtime_invoke_void_object (object,intptr,intptr,intptr) <IL 0x00051, 0x000e0>

Native stacktrace:

	0   RemotingTest                        0x0000000100b845ba mono_handle_native_sigsegv + 282
	1   libsystem_platform.dylib            0x00007fff90935f1a _sigtramp + 26
	2   libsystem_asl.dylib                 0x00007fff837c5b42 setlogmask + 2487
	3   libsystem_c.dylib                   0x00007fff8c2849a3 abort + 129
	4   HIServices                          0x00007fff8cbce21f ApplicationTypeGet + 0
	5   HIServices                          0x00007fff8cbcbe4d GetCurrentProcess + 24
	6   HIToolbox                           0x00007fff84f082a7 _ZN15MenuBarInstance18GetAggregateUIModeEPjS0_ + 43
	7   HIToolbox                           0x00007fff84f08259 _ZN15MenuBarInstance9IsVisibleEv + 39
	8   AppKit                              0x00007fff85dec05b _NSInitializeAppContext + 43
	9   AppKit                              0x00007fff85deb2b0 -[NSApplication init] + 605
	10  AppKit                              0x00007fff85deae7f +[NSApplication sharedApplication] + 138
	11  AppKit                              0x00007fff85de9c56 NSApplicationMain + 314
	12  ???                                 0x00000001072b278e 0x0 + 4415235982
	13  ???                                 0x00000001072b2604 0x0 + 4415235588
	14  RemotingTest                        0x0000000100b94a40 mono_jit_runtime_invoke + 2272
	15  RemotingTest                        0x0000000100c45ac8 do_runtime_invoke + 88
	16  RemotingTest                        0x0000000100c47fa0 mono_runtime_exec_main + 896
	17  RemotingTest                        0x0000000100c47b5d mono_runtime_run_main + 909
	18  RemotingTest                        0x0000000100aea3a7 mono_jit_exec + 247
	19  RemotingTest                        0x0000000100aec722 mono_main + 8098
	20  RemotingTest                        0x0000000100a929c4 xamarin_main + 980
	21  RemotingTest                        0x0000000100a936d4 main + 36
	22  libdyld.dylib                       0x00007fff8cbb55c9 start + 1
	23  ???                                 0x0000000000000001 0x0 + 1

Debug info from gdb:

.....
Comment 2 Manish Sinha 2017-08-01 19:34:17 UTC
Using 7.2.0.429 I can see that there is an error when launching notifying that launch failed with pid -1

Still, the error should be caught at build time. 

Marking this bug as CONFIRMED
Comment 3 Jeffrey Stedfast 2018-02-12 19:53:27 UTC
PR: https://github.com/xamarin/md-addins/pull/2887